Makefile.in 40 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180118111821183118411851186118711881189119011911192119311941195119611971198119912001201120212031204120512061207120812091210121112121213121412151216121712181219122012211222
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. #
  13. # Copyright (c) 2005, 2006, 2009 Thorsten Kukuk <kukuk@thkukuk.de>
  14. #
  15. VPATH = @srcdir@
  16. am__is_gnu_make = { \
  17. if test -z '$(MAKELEVEL)'; then \
  18. false; \
  19. elif test -n '$(MAKE_HOST)'; then \
  20. true; \
  21. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  22. true; \
  23. else \
  24. false; \
  25. fi; \
  26. }
  27. am__make_running_with_option = \
  28. case $${target_option-} in \
  29. ?) ;; \
  30. *) echo "am__make_running_with_option: internal error: invalid" \
  31. "target option '$${target_option-}' specified" >&2; \
  32. exit 1;; \
  33. esac; \
  34. has_opt=no; \
  35. sane_makeflags=$$MAKEFLAGS; \
  36. if $(am__is_gnu_make); then \
  37. sane_makeflags=$$MFLAGS; \
  38. else \
  39. case $$MAKEFLAGS in \
  40. *\\[\ \ ]*) \
  41. bs=\\; \
  42. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  43. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  44. esac; \
  45. fi; \
  46. skip_next=no; \
  47. strip_trailopt () \
  48. { \
  49. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  50. }; \
  51. for flg in $$sane_makeflags; do \
  52. test $$skip_next = yes && { skip_next=no; continue; }; \
  53. case $$flg in \
  54. *=*|--*) continue;; \
  55. -*I) strip_trailopt 'I'; skip_next=yes;; \
  56. -*I?*) strip_trailopt 'I';; \
  57. -*O) strip_trailopt 'O'; skip_next=yes;; \
  58. -*O?*) strip_trailopt 'O';; \
  59. -*l) strip_trailopt 'l'; skip_next=yes;; \
  60. -*l?*) strip_trailopt 'l';; \
  61. -[dEDm]) skip_next=yes;; \
  62. -[JT]) skip_next=yes;; \
  63. esac; \
  64. case $$flg in \
  65. *$$target_option*) has_opt=yes; break;; \
  66. esac; \
  67. done; \
  68. test $$has_opt = yes
  69. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  70. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  71. pkgdatadir = $(datadir)/@PACKAGE@
  72. pkgincludedir = $(includedir)/@PACKAGE@
  73. pkglibdir = $(libdir)/@PACKAGE@
  74. pkglibexecdir = $(libexecdir)/@PACKAGE@
  75. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  76. install_sh_DATA = $(install_sh) -c -m 644
  77. install_sh_PROGRAM = $(install_sh) -c
  78. install_sh_SCRIPT = $(install_sh) -c
  79. INSTALL_HEADER = $(INSTALL_DATA)
  80. transform = $(program_transform_name)
  81. NORMAL_INSTALL = :
  82. PRE_INSTALL = :
  83. POST_INSTALL = :
  84. NORMAL_UNINSTALL = :
  85. PRE_UNINSTALL = :
  86. POST_UNINSTALL = :
  87. build_triplet = @build@
  88. host_triplet = @host@
  89. @HAVE_VERSIONING_TRUE@am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  90. subdir = modules/pam_access
  91. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  92. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  93. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  94. $(top_srcdir)/m4/intlmacosx.m4 \
  95. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  96. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  97. $(top_srcdir)/m4/ld-no-undefined.m4 \
  98. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  99. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  100. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  101. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  102. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  103. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  104. $(top_srcdir)/m4/progtest.m4 \
  105. $(top_srcdir)/m4/warn_lang_flags.m4 \
  106. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  107. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  108. $(ACLOCAL_M4)
  109. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  110. $(am__dist_noinst_DATA_DIST) $(dist_secureconf_DATA) \
  111. $(am__DIST_COMMON)
  112. mkinstalldirs = $(install_sh) -d
  113. CONFIG_HEADER = $(top_builddir)/config.h
  114. CONFIG_CLEAN_FILES =
  115. CONFIG_CLEAN_VPATH_FILES =
  116. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  117. am__vpath_adj = case $$p in \
  118. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  119. *) f=$$p;; \
  120. esac;
  121. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  122. am__install_max = 40
  123. am__nobase_strip_setup = \
  124. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  125. am__nobase_strip = \
  126. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  127. am__nobase_list = $(am__nobase_strip_setup); \
  128. for p in $$list; do echo "$$p $$p"; done | \
  129. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  130. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  131. if (++n[$$2] == $(am__install_max)) \
  132. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  133. END { for (dir in files) print dir, files[dir] }'
  134. am__base_list = \
  135. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  136. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  137. am__uninstall_files_from_dir = { \
  138. test -z "$$files" \
  139. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  140. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  141. $(am__cd) "$$dir" && rm -f $$files; }; \
  142. }
  143. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" \
  144. "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)"
  145. LTLIBRARIES = $(securelib_LTLIBRARIES)
  146. pam_access_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  147. pam_access_la_SOURCES = pam_access.c
  148. pam_access_la_OBJECTS = pam_access.lo
  149. AM_V_lt = $(am__v_lt_@AM_V@)
  150. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  151. am__v_lt_0 = --silent
  152. am__v_lt_1 =
  153. AM_V_P = $(am__v_P_@AM_V@)
  154. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  155. am__v_P_0 = false
  156. am__v_P_1 = :
  157. AM_V_GEN = $(am__v_GEN_@AM_V@)
  158. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  159. am__v_GEN_0 = @echo " GEN " $@;
  160. am__v_GEN_1 =
  161. AM_V_at = $(am__v_at_@AM_V@)
  162. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  163. am__v_at_0 = @
  164. am__v_at_1 =
  165. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
  166. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  167. am__maybe_remake_depfiles = depfiles
  168. am__depfiles_remade = ./$(DEPDIR)/pam_access.Plo
  169. am__mv = mv -f
  170. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  171. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  172. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  173. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  174. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  175. $(AM_CFLAGS) $(CFLAGS)
  176. AM_V_CC = $(am__v_CC_@AM_V@)
  177. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  178. am__v_CC_0 = @echo " CC " $@;
  179. am__v_CC_1 =
  180. CCLD = $(CC)
  181. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  182. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  183. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  184. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  185. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  186. am__v_CCLD_0 = @echo " CCLD " $@;
  187. am__v_CCLD_1 =
  188. SOURCES = pam_access.c
  189. DIST_SOURCES = pam_access.c
  190. am__can_run_installinfo = \
  191. case $$AM_UPDATE_INFO_DIR in \
  192. n|no|NO) false;; \
  193. *) (install-info --version) >/dev/null 2>&1;; \
  194. esac
  195. man5dir = $(mandir)/man5
  196. man8dir = $(mandir)/man8
  197. NROFF = nroff
  198. MANS = $(dist_man_MANS)
  199. am__dist_noinst_DATA_DIST = README
  200. DATA = $(dist_noinst_DATA) $(dist_secureconf_DATA)
  201. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  202. # Read a list of newline-separated strings from the standard input,
  203. # and print each of them once, without duplicates. Input order is
  204. # *not* preserved.
  205. am__uniquify_input = $(AWK) '\
  206. BEGIN { nonempty = 0; } \
  207. { items[$$0] = 1; nonempty = 1; } \
  208. END { if (nonempty) { for (i in items) print i; }; } \
  209. '
  210. # Make sure the list of sources is unique. This is necessary because,
  211. # e.g., the same source file might be shared among _SOURCES variables
  212. # for different programs/libraries.
  213. am__define_uniq_tagged_files = \
  214. list='$(am__tagged_files)'; \
  215. unique=`for i in $$list; do \
  216. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  217. done | $(am__uniquify_input)`
  218. ETAGS = etags
  219. CTAGS = ctags
  220. am__tty_colors_dummy = \
  221. mgn= red= grn= lgn= blu= brg= std=; \
  222. am__color_tests=no
  223. am__tty_colors = { \
  224. $(am__tty_colors_dummy); \
  225. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  226. am__color_tests=no; \
  227. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  228. am__color_tests=yes; \
  229. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  230. am__color_tests=yes; \
  231. fi; \
  232. if test $$am__color_tests = yes; then \
  233. red=''; \
  234. grn=''; \
  235. lgn=''; \
  236. blu=''; \
  237. mgn=''; \
  238. brg=''; \
  239. std=''; \
  240. fi; \
  241. }
  242. am__recheck_rx = ^[ ]*:recheck:[ ]*
  243. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  244. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  245. # A command that, given a newline-separated list of test names on the
  246. # standard input, print the name of the tests that are to be re-run
  247. # upon "make recheck".
  248. am__list_recheck_tests = $(AWK) '{ \
  249. recheck = 1; \
  250. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  251. { \
  252. if (rc < 0) \
  253. { \
  254. if ((getline line2 < ($$0 ".log")) < 0) \
  255. recheck = 0; \
  256. break; \
  257. } \
  258. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  259. { \
  260. recheck = 0; \
  261. break; \
  262. } \
  263. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  264. { \
  265. break; \
  266. } \
  267. }; \
  268. if (recheck) \
  269. print $$0; \
  270. close ($$0 ".trs"); \
  271. close ($$0 ".log"); \
  272. }'
  273. # A command that, given a newline-separated list of test names on the
  274. # standard input, create the global log from their .trs and .log files.
  275. am__create_global_log = $(AWK) ' \
  276. function fatal(msg) \
  277. { \
  278. print "fatal: making $@: " msg | "cat >&2"; \
  279. exit 1; \
  280. } \
  281. function rst_section(header) \
  282. { \
  283. print header; \
  284. len = length(header); \
  285. for (i = 1; i <= len; i = i + 1) \
  286. printf "="; \
  287. printf "\n\n"; \
  288. } \
  289. { \
  290. copy_in_global_log = 1; \
  291. global_test_result = "RUN"; \
  292. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  293. { \
  294. if (rc < 0) \
  295. fatal("failed to read from " $$0 ".trs"); \
  296. if (line ~ /$(am__global_test_result_rx)/) \
  297. { \
  298. sub("$(am__global_test_result_rx)", "", line); \
  299. sub("[ ]*$$", "", line); \
  300. global_test_result = line; \
  301. } \
  302. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  303. copy_in_global_log = 0; \
  304. }; \
  305. if (copy_in_global_log) \
  306. { \
  307. rst_section(global_test_result ": " $$0); \
  308. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  309. { \
  310. if (rc < 0) \
  311. fatal("failed to read from " $$0 ".log"); \
  312. print line; \
  313. }; \
  314. printf "\n"; \
  315. }; \
  316. close ($$0 ".trs"); \
  317. close ($$0 ".log"); \
  318. }'
  319. # Restructured Text title.
  320. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  321. # Solaris 10 'make', and several other traditional 'make' implementations,
  322. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  323. # by disabling -e (using the XSI extension "set +e") if it's set.
  324. am__sh_e_setup = case $$- in *e*) set +e;; esac
  325. # Default flags passed to test drivers.
  326. am__common_driver_flags = \
  327. --color-tests "$$am__color_tests" \
  328. --enable-hard-errors "$$am__enable_hard_errors" \
  329. --expect-failure "$$am__expect_failure"
  330. # To be inserted before the command running the test. Creates the
  331. # directory for the log if needed. Stores in $dir the directory
  332. # containing $f, in $tst the test, in $log the log. Executes the
  333. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  334. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  335. # will run the test scripts (or their associated LOG_COMPILER, if
  336. # thy have one).
  337. am__check_pre = \
  338. $(am__sh_e_setup); \
  339. $(am__vpath_adj_setup) $(am__vpath_adj) \
  340. $(am__tty_colors); \
  341. srcdir=$(srcdir); export srcdir; \
  342. case "$@" in \
  343. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  344. *) am__odir=.;; \
  345. esac; \
  346. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  347. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  348. if test -f "./$$f"; then dir=./; \
  349. elif test -f "$$f"; then dir=; \
  350. else dir="$(srcdir)/"; fi; \
  351. tst=$$dir$$f; log='$@'; \
  352. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  353. am__enable_hard_errors=no; \
  354. else \
  355. am__enable_hard_errors=yes; \
  356. fi; \
  357. case " $(XFAIL_TESTS) " in \
  358. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  359. am__expect_failure=yes;; \
  360. *) \
  361. am__expect_failure=no;; \
  362. esac; \
  363. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  364. # A shell command to get the names of the tests scripts with any registered
  365. # extension removed (i.e., equivalently, the names of the test logs, with
  366. # the '.log' extension removed). The result is saved in the shell variable
  367. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  368. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  369. # since that might cause problem with VPATH rewrites for suffix-less tests.
  370. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  371. am__set_TESTS_bases = \
  372. bases='$(TEST_LOGS)'; \
  373. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  374. bases=`echo $$bases`
  375. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  376. RECHECK_LOGS = $(TEST_LOGS)
  377. AM_RECURSIVE_TARGETS = check recheck
  378. TEST_SUITE_LOG = test-suite.log
  379. TEST_EXTENSIONS = @EXEEXT@ .test
  380. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  381. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  382. am__set_b = \
  383. case '$@' in \
  384. */*) \
  385. case '$*' in \
  386. */*) b='$*';; \
  387. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  388. esac;; \
  389. *) \
  390. b='$*';; \
  391. esac
  392. am__test_logs1 = $(TESTS:=.log)
  393. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  394. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  395. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  396. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  397. $(TEST_LOG_FLAGS)
  398. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  399. $(top_srcdir)/build-aux/depcomp \
  400. $(top_srcdir)/build-aux/test-driver
  401. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  402. ACLOCAL = @ACLOCAL@
  403. AMTAR = @AMTAR@
  404. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  405. AR = @AR@
  406. AUTOCONF = @AUTOCONF@
  407. AUTOHEADER = @AUTOHEADER@
  408. AUTOMAKE = @AUTOMAKE@
  409. AWK = @AWK@
  410. BROWSER = @BROWSER@
  411. BUILD_CFLAGS = @BUILD_CFLAGS@
  412. BUILD_CPPFLAGS = @BUILD_CPPFLAGS@
  413. BUILD_LDFLAGS = @BUILD_LDFLAGS@
  414. CC = @CC@
  415. CCDEPMODE = @CCDEPMODE@
  416. CC_FOR_BUILD = @CC_FOR_BUILD@
  417. CFLAGS = @CFLAGS@
  418. CPP = @CPP@
  419. CPPFLAGS = @CPPFLAGS@
  420. CRYPTO_LIBS = @CRYPTO_LIBS@
  421. CRYPT_CFLAGS = @CRYPT_CFLAGS@
  422. CRYPT_LIBS = @CRYPT_LIBS@
  423. CYGPATH_W = @CYGPATH_W@
  424. DEFS = @DEFS@
  425. DEPDIR = @DEPDIR@
  426. DLLTOOL = @DLLTOOL@
  427. DSYMUTIL = @DSYMUTIL@
  428. DUMPBIN = @DUMPBIN@
  429. ECHO_C = @ECHO_C@
  430. ECHO_N = @ECHO_N@
  431. ECHO_T = @ECHO_T@
  432. ECONF_CFLAGS = @ECONF_CFLAGS@
  433. ECONF_LIBS = @ECONF_LIBS@
  434. EGREP = @EGREP@
  435. EXEEXT = @EXEEXT@
  436. EXE_CFLAGS = @EXE_CFLAGS@
  437. EXE_LDFLAGS = @EXE_LDFLAGS@
  438. FGREP = @FGREP@
  439. FO2PDF = @FO2PDF@
  440. GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
  441. GMSGFMT = @GMSGFMT@
  442. GMSGFMT_015 = @GMSGFMT_015@
  443. GREP = @GREP@
  444. INSTALL = @INSTALL@
  445. INSTALL_DATA = @INSTALL_DATA@
  446. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  447. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  448. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  449. INTLLIBS = @INTLLIBS@
  450. INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
  451. LD = @LD@
  452. LDFLAGS = @LDFLAGS@
  453. LEX = @LEX@
  454. LEXLIB = @LEXLIB@
  455. LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  456. LIBAUDIT = @LIBAUDIT@
  457. LIBCRYPT = @LIBCRYPT@
  458. LIBDB = @LIBDB@
  459. LIBDL = @LIBDL@
  460. LIBICONV = @LIBICONV@
  461. LIBINTL = @LIBINTL@
  462. LIBOBJS = @LIBOBJS@
  463. LIBPRELUDE_CFLAGS = @LIBPRELUDE_CFLAGS@
  464. LIBPRELUDE_CONFIG = @LIBPRELUDE_CONFIG@
  465. LIBPRELUDE_CONFIG_PREFIX = @LIBPRELUDE_CONFIG_PREFIX@
  466. LIBPRELUDE_LDFLAGS = @LIBPRELUDE_LDFLAGS@
  467. LIBPRELUDE_LIBS = @LIBPRELUDE_LIBS@
  468. LIBPRELUDE_PREFIX = @LIBPRELUDE_PREFIX@
  469. LIBPRELUDE_PTHREAD_CFLAGS = @LIBPRELUDE_PTHREAD_CFLAGS@
  470. LIBS = @LIBS@
  471. LIBSELINUX = @LIBSELINUX@
  472. LIBTOOL = @LIBTOOL@
  473. LIPO = @LIPO@
  474. LN_S = @LN_S@
  475. LTLIBICONV = @LTLIBICONV@
  476. LTLIBINTL = @LTLIBINTL@
  477. LTLIBOBJS = @LTLIBOBJS@
  478. LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  479. MAKEINFO = @MAKEINFO@
  480. MANIFEST_TOOL = @MANIFEST_TOOL@
  481. MKDIR_P = @MKDIR_P@
  482. MSGFMT = @MSGFMT@
  483. MSGFMT_015 = @MSGFMT_015@
  484. MSGMERGE = @MSGMERGE@
  485. NIS_CFLAGS = @NIS_CFLAGS@
  486. NIS_LIBS = @NIS_LIBS@
  487. NM = @NM@
  488. NMEDIT = @NMEDIT@
  489. NSL_CFLAGS = @NSL_CFLAGS@
  490. NSL_LIBS = @NSL_LIBS@
  491. OBJDUMP = @OBJDUMP@
  492. OBJEXT = @OBJEXT@
  493. OTOOL = @OTOOL@
  494. OTOOL64 = @OTOOL64@
  495. PACKAGE = @PACKAGE@
  496. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  497. PACKAGE_NAME = @PACKAGE_NAME@
  498. PACKAGE_STRING = @PACKAGE_STRING@
  499. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  500. PACKAGE_URL = @PACKAGE_URL@
  501. PACKAGE_VERSION = @PACKAGE_VERSION@
  502. PATH_SEPARATOR = @PATH_SEPARATOR@
  503. PKG_CONFIG = @PKG_CONFIG@
  504. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  505. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  506. POSUB = @POSUB@
  507. RANLIB = @RANLIB@
  508. SCONFIGDIR = @SCONFIGDIR@
  509. SECUREDIR = @SECUREDIR@
  510. SED = @SED@
  511. SET_MAKE = @SET_MAKE@
  512. SHELL = @SHELL@
  513. STRINGPARAM_HMAC = @STRINGPARAM_HMAC@
  514. STRINGPARAM_VENDORDIR = @STRINGPARAM_VENDORDIR@
  515. STRIP = @STRIP@
  516. TIRPC_CFLAGS = @TIRPC_CFLAGS@
  517. TIRPC_LIBS = @TIRPC_LIBS@
  518. USE_NLS = @USE_NLS@
  519. VERSION = @VERSION@
  520. WARN_CFLAGS = @WARN_CFLAGS@
  521. XGETTEXT = @XGETTEXT@
  522. XGETTEXT_015 = @XGETTEXT_015@
  523. XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
  524. XMLCATALOG = @XMLCATALOG@
  525. XMLLINT = @XMLLINT@
  526. XML_CATALOG_FILE = @XML_CATALOG_FILE@
  527. XSLTPROC = @XSLTPROC@
  528. YACC = @YACC@
  529. YFLAGS = @YFLAGS@
  530. abs_builddir = @abs_builddir@
  531. abs_srcdir = @abs_srcdir@
  532. abs_top_builddir = @abs_top_builddir@
  533. abs_top_srcdir = @abs_top_srcdir@
  534. ac_ct_AR = @ac_ct_AR@
  535. ac_ct_CC = @ac_ct_CC@
  536. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  537. am__include = @am__include@
  538. am__leading_dot = @am__leading_dot@
  539. am__quote = @am__quote@
  540. am__tar = @am__tar@
  541. am__untar = @am__untar@
  542. bindir = @bindir@
  543. build = @build@
  544. build_alias = @build_alias@
  545. build_cpu = @build_cpu@
  546. build_os = @build_os@
  547. build_vendor = @build_vendor@
  548. builddir = @builddir@
  549. datadir = @datadir@
  550. datarootdir = @datarootdir@
  551. docdir = @docdir@
  552. dvidir = @dvidir@
  553. exec_prefix = @exec_prefix@
  554. host = @host@
  555. host_alias = @host_alias@
  556. host_cpu = @host_cpu@
  557. host_os = @host_os@
  558. host_vendor = @host_vendor@
  559. htmldir = @htmldir@
  560. includedir = @includedir@
  561. infodir = @infodir@
  562. install_sh = @install_sh@
  563. libdir = @libdir@
  564. libexecdir = @libexecdir@
  565. localedir = @localedir@
  566. localstatedir = @localstatedir@
  567. mandir = @mandir@
  568. mkdir_p = @mkdir_p@
  569. oldincludedir = @oldincludedir@
  570. pam_xauth_path = @pam_xauth_path@
  571. pdfdir = @pdfdir@
  572. prefix = @prefix@
  573. program_transform_name = @program_transform_name@
  574. psdir = @psdir@
  575. sbindir = @sbindir@
  576. sharedstatedir = @sharedstatedir@
  577. srcdir = @srcdir@
  578. sysconfdir = @sysconfdir@
  579. systemdunitdir = @systemdunitdir@
  580. target_alias = @target_alias@
  581. top_build_prefix = @top_build_prefix@
  582. top_builddir = @top_builddir@
  583. top_srcdir = @top_srcdir@
  584. CLEANFILES = *~
  585. MAINTAINERCLEANFILES = $(MANS) README
  586. EXTRA_DIST = $(XMLS)
  587. @HAVE_DOC_TRUE@dist_man_MANS = access.conf.5 pam_access.8
  588. XMLS = README.xml access.conf.5.xml pam_access.8.xml
  589. dist_check_SCRIPTS = tst-pam_access
  590. TESTS = $(dist_check_SCRIPTS)
  591. securelibdir = $(SECUREDIR)
  592. secureconfdir = $(SCONFIGDIR)
  593. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  594. -DPAM_ACCESS_CONFIG=\"$(SCONFIGDIR)/access.conf\" \
  595. -DACCESS_CONF_GLOB=\"$(SCONFIGDIR)/access.d/*.conf\" $(WARN_CFLAGS)
  596. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  597. securelib_LTLIBRARIES = pam_access.la
  598. pam_access_la_LIBADD = $(top_builddir)/libpam/libpam.la
  599. dist_secureconf_DATA = access.conf
  600. @ENABLE_REGENERATE_MAN_TRUE@dist_noinst_DATA = README
  601. all: all-am
  602. .SUFFIXES:
  603. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  604. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  605. @for dep in $?; do \
  606. case '$(am__configure_deps)' in \
  607. *$$dep*) \
  608. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  609. && { if test -f $@; then exit 0; else break; fi; }; \
  610. exit 1;; \
  611. esac; \
  612. done; \
  613. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_access/Makefile'; \
  614. $(am__cd) $(top_srcdir) && \
  615. $(AUTOMAKE) --gnu modules/pam_access/Makefile
  616. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  617. @case '$?' in \
  618. *config.status*) \
  619. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  620. *) \
  621. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  622. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  623. esac;
  624. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  625. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  626. $(top_srcdir)/configure: $(am__configure_deps)
  627. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  628. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  629. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  630. $(am__aclocal_m4_deps):
  631. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  632. @$(NORMAL_INSTALL)
  633. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  634. list2=; for p in $$list; do \
  635. if test -f $$p; then \
  636. list2="$$list2 $$p"; \
  637. else :; fi; \
  638. done; \
  639. test -z "$$list2" || { \
  640. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  641. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  642. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  643. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  644. }
  645. uninstall-securelibLTLIBRARIES:
  646. @$(NORMAL_UNINSTALL)
  647. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  648. for p in $$list; do \
  649. $(am__strip_dir) \
  650. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  651. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  652. done
  653. clean-securelibLTLIBRARIES:
  654. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  655. @list='$(securelib_LTLIBRARIES)'; \
  656. locs=`for p in $$list; do echo $$p; done | \
  657. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  658. sort -u`; \
  659. test -z "$$locs" || { \
  660. echo rm -f $${locs}; \
  661. rm -f $${locs}; \
  662. }
  663. pam_access.la: $(pam_access_la_OBJECTS) $(pam_access_la_DEPENDENCIES) $(EXTRA_pam_access_la_DEPENDENCIES)
  664. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_access_la_OBJECTS) $(pam_access_la_LIBADD) $(LIBS)
  665. mostlyclean-compile:
  666. -rm -f *.$(OBJEXT)
  667. distclean-compile:
  668. -rm -f *.tab.c
  669. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pam_access.Plo@am__quote@ # am--include-marker
  670. $(am__depfiles_remade):
  671. @$(MKDIR_P) $(@D)
  672. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  673. am--depfiles: $(am__depfiles_remade)
  674. .c.o:
  675. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  676. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  677. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  678. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  679. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  680. .c.obj:
  681. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  682. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  683. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  684. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  685. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  686. .c.lo:
  687. @am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  688. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  689. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  690. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  691. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  692. mostlyclean-libtool:
  693. -rm -f *.lo
  694. clean-libtool:
  695. -rm -rf .libs _libs
  696. install-man5: $(dist_man_MANS)
  697. @$(NORMAL_INSTALL)
  698. @list1=''; \
  699. list2='$(dist_man_MANS)'; \
  700. test -n "$(man5dir)" \
  701. && test -n "`echo $$list1$$list2`" \
  702. || exit 0; \
  703. echo " $(MKDIR_P) '$(DESTDIR)$(man5dir)'"; \
  704. $(MKDIR_P) "$(DESTDIR)$(man5dir)" || exit 1; \
  705. { for i in $$list1; do echo "$$i"; done; \
  706. if test -n "$$list2"; then \
  707. for i in $$list2; do echo "$$i"; done \
  708. | sed -n '/\.5[a-z]*$$/p'; \
  709. fi; \
  710. } | while read p; do \
  711. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  712. echo "$$d$$p"; echo "$$p"; \
  713. done | \
  714. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  715. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  716. sed 'N;N;s,\n, ,g' | { \
  717. list=; while read file base inst; do \
  718. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  719. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
  720. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
  721. fi; \
  722. done; \
  723. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  724. while read files; do \
  725. test -z "$$files" || { \
  726. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
  727. $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
  728. done; }
  729. uninstall-man5:
  730. @$(NORMAL_UNINSTALL)
  731. @list=''; test -n "$(man5dir)" || exit 0; \
  732. files=`{ for i in $$list; do echo "$$i"; done; \
  733. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  734. sed -n '/\.5[a-z]*$$/p'; \
  735. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
  736. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  737. dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
  738. install-man8: $(dist_man_MANS)
  739. @$(NORMAL_INSTALL)
  740. @list1=''; \
  741. list2='$(dist_man_MANS)'; \
  742. test -n "$(man8dir)" \
  743. && test -n "`echo $$list1$$list2`" \
  744. || exit 0; \
  745. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  746. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  747. { for i in $$list1; do echo "$$i"; done; \
  748. if test -n "$$list2"; then \
  749. for i in $$list2; do echo "$$i"; done \
  750. | sed -n '/\.8[a-z]*$$/p'; \
  751. fi; \
  752. } | while read p; do \
  753. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  754. echo "$$d$$p"; echo "$$p"; \
  755. done | \
  756. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  757. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  758. sed 'N;N;s,\n, ,g' | { \
  759. list=; while read file base inst; do \
  760. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  761. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  762. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  763. fi; \
  764. done; \
  765. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  766. while read files; do \
  767. test -z "$$files" || { \
  768. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  769. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  770. done; }
  771. uninstall-man8:
  772. @$(NORMAL_UNINSTALL)
  773. @list=''; test -n "$(man8dir)" || exit 0; \
  774. files=`{ for i in $$list; do echo "$$i"; done; \
  775. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  776. sed -n '/\.8[a-z]*$$/p'; \
  777. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  778. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  779. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  780. install-dist_secureconfDATA: $(dist_secureconf_DATA)
  781. @$(NORMAL_INSTALL)
  782. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  783. if test -n "$$list"; then \
  784. echo " $(MKDIR_P) '$(DESTDIR)$(secureconfdir)'"; \
  785. $(MKDIR_P) "$(DESTDIR)$(secureconfdir)" || exit 1; \
  786. fi; \
  787. for p in $$list; do \
  788. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  789. echo "$$d$$p"; \
  790. done | $(am__base_list) | \
  791. while read files; do \
  792. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(secureconfdir)'"; \
  793. $(INSTALL_DATA) $$files "$(DESTDIR)$(secureconfdir)" || exit $$?; \
  794. done
  795. uninstall-dist_secureconfDATA:
  796. @$(NORMAL_UNINSTALL)
  797. @list='$(dist_secureconf_DATA)'; test -n "$(secureconfdir)" || list=; \
  798. files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  799. dir='$(DESTDIR)$(secureconfdir)'; $(am__uninstall_files_from_dir)
  800. ID: $(am__tagged_files)
  801. $(am__define_uniq_tagged_files); mkid -fID $$unique
  802. tags: tags-am
  803. TAGS: tags
  804. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  805. set x; \
  806. here=`pwd`; \
  807. $(am__define_uniq_tagged_files); \
  808. shift; \
  809. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  810. test -n "$$unique" || unique=$$empty_fix; \
  811. if test $$# -gt 0; then \
  812. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  813. "$$@" $$unique; \
  814. else \
  815. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  816. $$unique; \
  817. fi; \
  818. fi
  819. ctags: ctags-am
  820. CTAGS: ctags
  821. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  822. $(am__define_uniq_tagged_files); \
  823. test -z "$(CTAGS_ARGS)$$unique" \
  824. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  825. $$unique
  826. GTAGS:
  827. here=`$(am__cd) $(top_builddir) && pwd` \
  828. && $(am__cd) $(top_srcdir) \
  829. && gtags -i $(GTAGS_ARGS) "$$here"
  830. cscopelist: cscopelist-am
  831. cscopelist-am: $(am__tagged_files)
  832. list='$(am__tagged_files)'; \
  833. case "$(srcdir)" in \
  834. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  835. *) sdir=$(subdir)/$(srcdir) ;; \
  836. esac; \
  837. for i in $$list; do \
  838. if test -f "$$i"; then \
  839. echo "$(subdir)/$$i"; \
  840. else \
  841. echo "$$sdir/$$i"; \
  842. fi; \
  843. done >> $(top_builddir)/cscope.files
  844. distclean-tags:
  845. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  846. # Recover from deleted '.trs' file; this should ensure that
  847. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  848. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  849. # to avoid problems with "make -n".
  850. .log.trs:
  851. rm -f $< $@
  852. $(MAKE) $(AM_MAKEFLAGS) $<
  853. # Leading 'am--fnord' is there to ensure the list of targets does not
  854. # expand to empty, as could happen e.g. with make check TESTS=''.
  855. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  856. am--force-recheck:
  857. @:
  858. $(TEST_SUITE_LOG): $(TEST_LOGS)
  859. @$(am__set_TESTS_bases); \
  860. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  861. redo_bases=`for i in $$bases; do \
  862. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  863. done`; \
  864. if test -n "$$redo_bases"; then \
  865. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  866. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  867. if $(am__make_dryrun); then :; else \
  868. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  869. fi; \
  870. fi; \
  871. if test -n "$$am__remaking_logs"; then \
  872. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  873. "recursion detected" >&2; \
  874. elif test -n "$$redo_logs"; then \
  875. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  876. fi; \
  877. if $(am__make_dryrun); then :; else \
  878. st=0; \
  879. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  880. for i in $$redo_bases; do \
  881. test -f $$i.trs && test -r $$i.trs \
  882. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  883. test -f $$i.log && test -r $$i.log \
  884. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  885. done; \
  886. test $$st -eq 0 || exit 1; \
  887. fi
  888. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  889. ws='[ ]'; \
  890. results=`for b in $$bases; do echo $$b.trs; done`; \
  891. test -n "$$results" || results=/dev/null; \
  892. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  893. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  894. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  895. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  896. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  897. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  898. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  899. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  900. success=true; \
  901. else \
  902. success=false; \
  903. fi; \
  904. br='==================='; br=$$br$$br$$br$$br; \
  905. result_count () \
  906. { \
  907. if test x"$$1" = x"--maybe-color"; then \
  908. maybe_colorize=yes; \
  909. elif test x"$$1" = x"--no-color"; then \
  910. maybe_colorize=no; \
  911. else \
  912. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  913. fi; \
  914. shift; \
  915. desc=$$1 count=$$2; \
  916. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  917. color_start=$$3 color_end=$$std; \
  918. else \
  919. color_start= color_end=; \
  920. fi; \
  921. echo "$${color_start}# $$desc $$count$${color_end}"; \
  922. }; \
  923. create_testsuite_report () \
  924. { \
  925. result_count $$1 "TOTAL:" $$all "$$brg"; \
  926. result_count $$1 "PASS: " $$pass "$$grn"; \
  927. result_count $$1 "SKIP: " $$skip "$$blu"; \
  928. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  929. result_count $$1 "FAIL: " $$fail "$$red"; \
  930. result_count $$1 "XPASS:" $$xpass "$$red"; \
  931. result_count $$1 "ERROR:" $$error "$$mgn"; \
  932. }; \
  933. { \
  934. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  935. $(am__rst_title); \
  936. create_testsuite_report --no-color; \
  937. echo; \
  938. echo ".. contents:: :depth: 2"; \
  939. echo; \
  940. for b in $$bases; do echo $$b; done \
  941. | $(am__create_global_log); \
  942. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  943. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  944. if $$success; then \
  945. col="$$grn"; \
  946. else \
  947. col="$$red"; \
  948. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  949. fi; \
  950. echo "$${col}$$br$${std}"; \
  951. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  952. echo "$${col}$$br$${std}"; \
  953. create_testsuite_report --maybe-color; \
  954. echo "$$col$$br$$std"; \
  955. if $$success; then :; else \
  956. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  957. if test -n "$(PACKAGE_BUGREPORT)"; then \
  958. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  959. fi; \
  960. echo "$$col$$br$$std"; \
  961. fi; \
  962. $$success || exit 1
  963. check-TESTS: $(dist_check_SCRIPTS)
  964. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  965. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  966. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  967. @set +e; $(am__set_TESTS_bases); \
  968. log_list=`for i in $$bases; do echo $$i.log; done`; \
  969. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  970. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  971. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  972. exit $$?;
  973. recheck: all $(dist_check_SCRIPTS)
  974. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  975. @set +e; $(am__set_TESTS_bases); \
  976. bases=`for i in $$bases; do echo $$i; done \
  977. | $(am__list_recheck_tests)` || exit 1; \
  978. log_list=`for i in $$bases; do echo $$i.log; done`; \
  979. log_list=`echo $$log_list`; \
  980. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  981. am__force_recheck=am--force-recheck \
  982. TEST_LOGS="$$log_list"; \
  983. exit $$?
  984. tst-pam_access.log: tst-pam_access
  985. @p='tst-pam_access'; \
  986. b='tst-pam_access'; \
  987. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  988. --log-file $$b.log --trs-file $$b.trs \
  989. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  990. "$$tst" $(AM_TESTS_FD_REDIRECT)
  991. .test.log:
  992. @p='$<'; \
  993. $(am__set_b); \
  994. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  995. --log-file $$b.log --trs-file $$b.trs \
  996. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  997. "$$tst" $(AM_TESTS_FD_REDIRECT)
  998. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  999. @am__EXEEXT_TRUE@ @p='$<'; \
  1000. @am__EXEEXT_TRUE@ $(am__set_b); \
  1001. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1002. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  1003. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1004. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  1005. distdir: $(BUILT_SOURCES)
  1006. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  1007. distdir-am: $(DISTFILES)
  1008. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1009. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1010. list='$(DISTFILES)'; \
  1011. dist_files=`for file in $$list; do echo $$file; done | \
  1012. sed -e "s|^$$srcdirstrip/||;t" \
  1013. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1014. case $$dist_files in \
  1015. */*) $(MKDIR_P) `echo "$$dist_files" | \
  1016. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1017. sort -u` ;; \
  1018. esac; \
  1019. for file in $$dist_files; do \
  1020. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1021. if test -d $$d/$$file; then \
  1022. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1023. if test -d "$(distdir)/$$file"; then \
  1024. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1025. fi; \
  1026. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1027. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1028. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1029. fi; \
  1030. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1031. else \
  1032. test -f "$(distdir)/$$file" \
  1033. || cp -p $$d/$$file "$(distdir)/$$file" \
  1034. || exit 1; \
  1035. fi; \
  1036. done
  1037. check-am: all-am
  1038. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  1039. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1040. check: check-am
  1041. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  1042. installdirs:
  1043. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(secureconfdir)"; do \
  1044. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1045. done
  1046. install: install-am
  1047. install-exec: install-exec-am
  1048. install-data: install-data-am
  1049. uninstall: uninstall-am
  1050. install-am: all-am
  1051. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1052. installcheck: installcheck-am
  1053. install-strip:
  1054. if test -z '$(STRIP)'; then \
  1055. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1056. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1057. install; \
  1058. else \
  1059. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1060. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1061. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1062. fi
  1063. mostlyclean-generic:
  1064. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1065. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1066. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1067. clean-generic:
  1068. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1069. distclean-generic:
  1070. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1071. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1072. maintainer-clean-generic:
  1073. @echo "This command is intended for maintainers to use"
  1074. @echo "it deletes files that may require special tools to rebuild."
  1075. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1076. clean: clean-am
  1077. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1078. mostlyclean-am
  1079. distclean: distclean-am
  1080. -rm -f ./$(DEPDIR)/pam_access.Plo
  1081. -rm -f Makefile
  1082. distclean-am: clean-am distclean-compile distclean-generic \
  1083. distclean-tags
  1084. dvi: dvi-am
  1085. dvi-am:
  1086. html: html-am
  1087. html-am:
  1088. info: info-am
  1089. info-am:
  1090. install-data-am: install-dist_secureconfDATA install-man \
  1091. install-securelibLTLIBRARIES
  1092. install-dvi: install-dvi-am
  1093. install-dvi-am:
  1094. install-exec-am:
  1095. install-html: install-html-am
  1096. install-html-am:
  1097. install-info: install-info-am
  1098. install-info-am:
  1099. install-man: install-man5 install-man8
  1100. install-pdf: install-pdf-am
  1101. install-pdf-am:
  1102. install-ps: install-ps-am
  1103. install-ps-am:
  1104. installcheck-am:
  1105. maintainer-clean: maintainer-clean-am
  1106. -rm -f ./$(DEPDIR)/pam_access.Plo
  1107. -rm -f Makefile
  1108. maintainer-clean-am: distclean-am maintainer-clean-generic
  1109. mostlyclean: mostlyclean-am
  1110. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1111. mostlyclean-libtool
  1112. pdf: pdf-am
  1113. pdf-am:
  1114. ps: ps-am
  1115. ps-am:
  1116. uninstall-am: uninstall-dist_secureconfDATA uninstall-man \
  1117. uninstall-securelibLTLIBRARIES
  1118. uninstall-man: uninstall-man5 uninstall-man8
  1119. .MAKE: check-am install-am install-strip
  1120. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1121. check-am clean clean-generic clean-libtool \
  1122. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1123. distclean distclean-compile distclean-generic \
  1124. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1125. html-am info info-am install install-am install-data \
  1126. install-data-am install-dist_secureconfDATA install-dvi \
  1127. install-dvi-am install-exec install-exec-am install-html \
  1128. install-html-am install-info install-info-am install-man \
  1129. install-man5 install-man8 install-pdf install-pdf-am \
  1130. install-ps install-ps-am install-securelibLTLIBRARIES \
  1131. install-strip installcheck installcheck-am installdirs \
  1132. maintainer-clean maintainer-clean-generic mostlyclean \
  1133. mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
  1134. pdf pdf-am ps ps-am recheck tags tags-am uninstall \
  1135. uninstall-am uninstall-dist_secureconfDATA uninstall-man \
  1136. uninstall-man5 uninstall-man8 uninstall-securelibLTLIBRARIES
  1137. .PRECIOUS: Makefile
  1138. @ENABLE_REGENERATE_MAN_TRUE@-include $(top_srcdir)/Make.xml.rules
  1139. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1140. # Otherwise a system limit (for SysV at least) may be exceeded.
  1141. .NOEXPORT: